import { Plugin } from 'vite';

/**
 * Configuration for the watched paths.
 */
interface Config {
    /**
     * Whether full reload should happen regardless of the file path.
     * @default true
     */
    always?: boolean;
    /**
     * Whether to log when a file change triggers a full reload.
     * @default true
     */
    log?: boolean;
    /**
     * Files will be resolved against this path.
     * @default process.cwd()
     */
    root?: string;
}
declare const _default: (paths: string | string[], config?: Config) => Plugin;

export default _default;
